POST V1/PaymentsReconcile.{ext}/ExecuteStopPayment?pfStopPaymentId={pfStopPaymentId}
Execute Stop Payment of Payment Files which are in "SP Approved" status.
Mandatory Fields : PFTransactionId,comments
Optional Fields : N/A
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| pfStopPaymentId |
Payment File Stop Payment ID |
string |
Required |
| ext |
Which media types are acceptable for the response, such as json/xml If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter. |
string |
Content-Type: application/json OR application/xml |
Body Parameters
Comment Details
EMS.Payments.Entities.Comments| Name | Description | Type | Additional information |
|---|---|---|---|
| Comment |
Comments that can be Payments/funding statements etc |
string |
None. |
Request Formats
application/json, text/json
{
"comment": "sample string 1"
}
application/xml, text/xml
<Comments xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Payments.Entities"> <Comment>sample string 1</Comment> </Comments>
application/x-www-form-urlencoded
Sample not available.
application/bson
Binary JSON content. See http://bsonspec.org for details.
Response Information
Resource Description
Transaction Results
EMSResponseOfEMS.Common.TransactionResults| Name | Description | Type | Additional information |
|---|---|---|---|
| ResponseType |
No description available |
string |
None. |
| Response |
No description available |
EMS.Common.TransactionResults |
None. |
| Error |
No description available |
EMS.Common.Error |
None. |
Response Formats
application/json, text/json
{
"responseType": "TransactionResults",
"response": {
"transactionResult": [
{
"status": "sample string 1",
"message": "sample string 2",
"result": "sample string 3"
},
{
"status": "sample string 1",
"message": "sample string 2",
"result": "sample string 3"
}
]
},
"error": {
"errorCode": "sample string 1",
"errorDescription": "sample string 2"
}
}
application/bson
Binary JSON content. See http://bsonspec.org for details.